> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete

> Invokes the c1.api.app.v1.AppEntitlementsProxy.Delete method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/apps/{src_app_id}/{src_app_entitlement_id}/bindings/{dst_app_id}/{dst_app_entitlement_id}
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{src_app_id}/{src_app_entitlement_id}/bindings/{dst_app_id}/{dst_app_entitlement_id}:
    delete:
      tags:
        - App Entitlement Proxy Binding
      summary: Delete
      description: Invokes the c1.api.app.v1.AppEntitlementsProxy.Delete method.
      operationId: c1.api.app.v1.AppEntitlementsProxy.Delete
      parameters:
        - in: path
          name: src_app_id
          required: true
          schema:
            description: The srcAppId field.
            readOnly: false
            type: string
        - in: path
          name: src_app_entitlement_id
          required: true
          schema:
            description: The srcAppEntitlementId field.
            readOnly: false
            type: string
        - in: path
          name: dst_app_id
          required: true
          schema:
            description: The dstAppId field.
            readOnly: false
            type: string
        - in: path
          name: dst_app_entitlement_id
          required: true
          schema:
            description: The dstAppEntitlementId field.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.app.v1.DeleteAppEntitlementProxyRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v1.DeleteAppEntitlementProxyResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Delete
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AppEntitlementsProxy.Delete(ctx, operations.C1APIAppV1AppEntitlementsProxyDeleteRequest{\n        SrcAppID: \"<id>\",\n        SrcAppEntitlementID: \"<id>\",\n        DstAppID: \"<id>\",\n        DstAppEntitlementID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.DeleteAppEntitlementProxyResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.appEntitlementsProxy.delete({
                srcAppId: null,
                srcAppEntitlementId: "<id>",
                dstAppId: "<id>",
                dstAppEntitlementId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v1.DeleteAppEntitlementProxyRequestInput:
      description: The DeleteAppEntitlementProxyRequest message.
      title: Delete App Entitlement Proxy Request
      type: object
      x-speakeasy-name-override: DeleteAppEntitlementProxyRequest
    c1.api.app.v1.DeleteAppEntitlementProxyResponse:
      description: The DeleteAppEntitlementProxyResponse message.
      title: Delete App Entitlement Proxy Response
      type: object
      x-speakeasy-name-override: DeleteAppEntitlementProxyResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````